astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Cosmological Calculations (`astropy.cosmology`) »
- LambdaCDM

# LambdaCDM

class `astropy.cosmology.``LambdaCDM`(H0, Om0, Ode0, Tcmb0=2.725, Neff=3.04, m_nu=<Quantity 0.0 eV>, Ob0=None, name=None)

  Bases: `astropy.cosmology.FLRW`

  FLRW cosmology with a cosmological constant and curvature.

  This has no additional attributes beyond those of FLRW.

  Parameters:

  H0 : float or `Quantity`

  > Hubble constant at z = 0. If a float, must be in [km/sec/Mpc]

  Om0 : float

  > Omega matter: density of non-relativistic matter in units of the critical density at z=0.

  Ode0 : float

  > Omega dark energy: density of the cosmological constant in units of the critical density at z=0.

  Tcmb0 : float or scalar `Quantity`, optional

  > Temperature of the CMB z=0. If a float, must be in [K]. Default: 2.725 [K]. Setting this to zero will turn off both photons and neutrinos (even massive ones).

  Neff : float, optional

  > Effective number of Neutrino species. Default 3.04.

  m_nu : `Quantity`, optional

  > Mass of each neutrino species. If this is a scalar Quantity, then all neutrino species are assumed to have that mass. Otherwise, the mass of each species. The actual number of neutrino species (and hence the number of elements of m_nu if it is not scalar) must be the floor of Neff. Typically this means you should provide three neutrino masses unless you are considering something like a sterile neutrino.

  Ob0 : float or None, optional

  > Omega baryons: density of baryonic matter in units of the critical density at z=0. If this is set to None (the default), any computation that requires its value will raise an exception.

  name : str, optional

  > Name for this cosmological object.

  Examples

      >>> from astropy.cosmology import LambdaCDM
      >>> cosmo = LambdaCDM(H0=70, Om0=0.3, Ode0=0.7)

  The comoving distance in Mpc at redshift z:

      >>> z = 0.5
      >>> dc = cosmo.comoving_distance(z)

  Methods Summary

  `de_density_scale`(z) | Evaluates the redshift dependence of the dark energy density.
  `efunc`(z) | Function used to calculate H(z), the Hubble parameter.
  `inv_efunc`(z) | Function used to calculate \frac{1}{H_z}.
  `w`(z) | Returns dark energy equation of state at redshift `z`.

  Methods Documentation

  `de_density_scale`(z)

    Evaluates the redshift dependence of the dark energy density.

    Parameters:

    z : array-like

    > Input redshifts.

    Returns:

    I : ndarray, or float if input scalar

    > The scaling of the energy density of dark energy with redshift.

    Notes

    The scaling factor, I, is defined by \rho(z) = \rho_0 I, and in this case is given by I = 1.

  `efunc`(z)

    Function used to calculate H(z), the Hubble parameter.

    Parameters:

    z : array-like

    > Input redshifts.

    Returns:

    E : ndarray, or float if input scalar

    > The redshift scaling of the Hubble constant.

    Notes

    The return value, E, is defined such that H(z) = H_0 E.

  `inv_efunc`(z)

    Function used to calculate \frac{1}{H_z}.

    Parameters:

    z : array-like

    > Input redshifts.

    Returns:

    E : ndarray, or float if input scalar

    > The inverse redshift scaling of the Hubble constant.

    Notes

    The return value, E, is defined such that H_z = H_0 / E.

  `w`(z)

    Returns dark energy equation of state at redshift `z`.

    Parameters:

    z : array-like

    > Input redshifts.

    Returns:

    w : ndarray, or float if input scalar

    > The dark energy equation of state

    Notes

    The dark energy equation of state is defined as w(z) = P(z)/\rho(z), where P(z) is the pressure at redshift z and \rho(z) is the density at redshift z, both in units where c=1. Here this is w(z) = -1.